/*
 * Copyright (c) 2015 by European Commission
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/european-union-public-licence-eupl-v.1.1
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 *
 */

package eu.eidas.auth.commons;

import java.util.HashMap;
import java.util.Map;

/**
 * 
 * types of comparison for Level of Assurance
 *
 */
public enum EidasLoaCompareType {
    MINIMUM("minimum");
    public static final EidasLoaCompareType DEFAULT=MINIMUM;
    private String value;
    private static Map<String, EidasLoaCompareType> eidasLoaCompareTypeHashMap=new HashMap<String, EidasLoaCompareType>();
    static{
        for(EidasLoaCompareType e:values()){
            eidasLoaCompareTypeHashMap.put(e.stringValue(), e);
        }
    }
    EidasLoaCompareType(String value){
        this.value=value;
    }
    public String stringValue(){
        return value;
    }
    public static EidasLoaCompareType getCompareType(String value){
        return eidasLoaCompareTypeHashMap.containsKey(value)?eidasLoaCompareTypeHashMap.get(value):null; // No default value when not found
    }

}
